PropertyAssignmentImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: PropertyAssignmentImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class PropertyAssignmentImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.PropertyAssignmentImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

public class PropertyAssignmentImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyAssignmentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.EntityTypePropertyType<? extends ch.systemsx.cisd.openbis.generic.shared.basic.dto.EntityType> entity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEntityTypeCode()`
  `Long`
  `getPositionInForms()`
  `String`
  `getPropertyTypeCode()`
  `String`
  `getPropertyTypeDescription()`
  `String`
  `getPropertyTypeLabel()`
  `String`
  `getScriptName()`
  `String`
  `getSection()`
  `boolean`
  `isDynamic()`
  `boolean`
  `isManaged()`
  `boolean`
  `isMandatory()`
  `boolean`
  `shownInEditViews()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyAssignmentImmutable

    public PropertyAssignmentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.EntityTypePropertyType<? extends ch.systemsx.cisd.openbis.generic.shared.basic.dto.EntityType> entity)

- ## Method Details

  - ### getEntityTypeCode

    public String getEntityTypeCode()
    Specified by:
      `getEntityTypeCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### getPropertyTypeDescription

    public String getPropertyTypeDescription()
    Specified by:
      `getPropertyTypeDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### getPropertyTypeLabel

    public String getPropertyTypeLabel()
    Specified by:
      `getPropertyTypeLabel` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### getPropertyTypeCode

    public String getPropertyTypeCode()
    Specified by:
      `getPropertyTypeCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### isMandatory

    public boolean isMandatory()
    Specified by:
      `isMandatory` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### getSection

    public String getSection()
    Specified by:
      `getSection` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### getPositionInForms

    public Long getPositionInForms()
    Specified by:
      `getPositionInForms` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### getScriptName

    public String getScriptName()
    Specified by:
      `getScriptName` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### isDynamic

    public boolean isDynamic()
    Specified by:
      `isDynamic` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### isManaged

    public boolean isManaged()
    Specified by:
      `isManaged` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`

  - ### shownInEditViews

    public boolean shownInEditViews()
    Specified by:
      `shownInEditViews` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable`